Bug 142016 - kudzu corrupts modprobe.conf when multi-line entries appear
kudzu corrupts modprobe.conf when multi-line entries appear
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 14:38 EST by Paul Stewart
Modified: 2014-03-16 22:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Stewart 2004-12-06 14:38:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
My modprobe.conf has a fairly long "install" script for one of its
modules, so as per the modprobe.conf manpage, I've split into 3 lines
using the trailing '\' syntax.  It appears that to some extent kudzu
is able to recognize these lines, since in many of them it simply
collapsed the '\' out and joined the lines (making the file messy
again).  

However, this behavior isn't completely consistent, and sometimes it
inserts its own stuff _between_ lines that should have been joined,
leading to syntax errors next time modprobe is called.

Example before:

alias eth0 forcedeth
alias scsi_hostadapter sata_sil
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ;
}; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias ieee1394-controller ohci1394
alias char-major-195* nvidia
alias char-major-61* lirc_streamzapusb
alias ath0 ath_pci
alias irda0 irport
options irport io=0x3f8 irq=4
install irport /bin/setserial /dev/ttyS0 uart none && \
        /sbin/modprobe --ignore-install irport && \
        /usr/sbin/irattach irda0 -d actisys && \
        /bin/echo roku >> /proc/sys/net/irda/devname
remove irport /usr/bin/killall irattach && \
        /sbin/rmmod irport && \
        /bin/setserial /dev/ttyS0 autoconfig


Then, when kudzu finds my atheros card and configures it:
alias eth0 forcedeth
alias scsi_hostadapter sata_sil
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ;
}; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias ieee1394-controller ohci1394
alias char-major-195* nvidia
alias char-major-61* lirc_streamzapusb
alias ath0 ath_pci
alias irda0 irport
options irport io=0x3f8 irq=4
install irport /bin/setserial /dev/ttyS0 uart none &&   /sbin/modprobe
--ignore-install irport && \
alias eth1 ath_pci
        /usr/sbin/irattach irda0 -d actisys &&          /bin/echo roku
>> /proc/sys/net/irda/devname
remove irport /usr/bin/killall irattach &&      /sbin/rmmod irport && \
        /bin/setserial /dev/ttyS0 autoconfig

Note the placement of that "alias eth1" is right in the middle of the
"install irport"!



Version-Release number of selected component (if applicable):
kudzu-1.1.95-1

How reproducible:
Always

Steps to Reproduce:
1. Create a modprobe.conf with entries similar to above
2. Remove an entry from /etc/sysconfig/hwconf (to ket kudzu to insert
something in modprobe.conf)
3. Run kudzu
    

Actual Results:  Broken modprobe.conf

Expected Results:  Functional (and hopefully readabled) modprobe.conf

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:23:41 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-11-05 11:12:35 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.